$fn=32;

module shaft(h=10, d_length=5, cutaway=7){
    translate([0,0,h/2])
    difference(){
        cylinder(h=h, d=6 + 0.5, center=true, $fn=32);
        translate([0,6 - (6 - 4.5),0])
        cube([6,6,h], true);
    }
    cylinder(h=h-d_length,d=cutaway);
}

module chamfer_cut(major, minor){
    rotate_extrude(angle=360)
    translate([major,0,0])
    rotate([0,0,180])
    difference(){
        square([minor,minor]);
        translate([minor, minor,0])
        circle(r=minor);
    }
}

difference(){
    cylinder(h=11, d=30);
    translate([0,0,11])
        chamfer_cut(15,2);
    rotate([180,0,0])
        chamfer_cut(15,2);
    shaft(10);
}
//shaft(10);